## Class TResultSetListItemParameter

Description

TResultSetListItemParameter class

- since: 3.1
- version: $Id: TMappedStatement.php 2384 2008-02-26 16:58:20Z tof $
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/SqlMap/Statements/TMappedStatement.php (line 1146)

    TComponent
       |
       --TResultSetListItemParameter

Method Summary
TResultSetListItemParameter __construct (mixed $result, mixed $parameter, mixed &$list)
void &getList ()
void getParameter ()
void getResult ()
Methods
Constructor __construct (line 1152)

- access: public

TResultSetListItemParameter __construct (mixed $result, mixed $parameter, mixed &$list)
getList (line 1169)

- access: public

void &getList ()
getParameter (line 1164)

- access: public

void getParameter ()
getResult (line 1159)

- access: public

void getResult ()

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:35:35 -0400 by phpDocumentor 1.3.0RC4